com.smartgwt.client.data.fields

## Class DataSourceDateField

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.data.DataSourceField
      - - com.smartgwt.client.data.fields.DataSourceDateField

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class DataSourceDateField
      extends DataSourceField

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceDateField()`
    `DataSourceDateField(java.lang.String name)`
    `DataSourceDateField(java.lang.String name, java.lang.String title)`
    `DataSourceDateField(java.lang.String name, java.lang.String title, int length)`
    `DataSourceDateField(java.lang.String name, java.lang.String title, int length, boolean required)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUseTextField(java.lang.Boolean useTextField)`

    - ### Methods inherited from class com.smartgwt.client.data.DataSourceField

      `exportForceText, getCanEdit, getCanExport, getCanFilter, getCanSave, getCanSortClientOnly, getCanView, getChildrenProperty, getChildTagName, getDateFormatter, getDecimalPad, getDecimalPrecision, getDeepCloneOnEdit, getDetail, getDisplayField, getEmptyDisplayValue, getEscapeHTML, getExportFormat, getExportTitle, getForeignDisplayField, getForeignKey, getFormat, getGroup, getHidden, getIgnoreTextMatchStyle, getImageHeight, getImageHeightAsString, getImageSize, getImageSizeAsString, getImageWidth, getImageWidthAsString, getInapplicable, getJoinPrefix, getJoinString, getJoinSuffix, getLength, getLenientXPath, getMultiple, getMultipleValueSeparator, getName, getNillable, getOrCreateRef, getPluralTitle, getPrecision, getPrimaryKey, getPrompt, getPropertiesOnly, getRequired, getRequiredMessage, getRootValue, getSequenceName, getShowFileInline, getSortByField, getStringInBrowser, getSummaryFunction, getSummaryValueTitle, getTimeFormatter, getTitle, getType, getTypeAsDataSource, getTypeAsSimpleType, getUploadFieldName, getValidators, getValidOperators, getValueMap, getValueXPath, getXmlAttribute, setCanEdit, setCanExport, setCanFilter, setCanSave, setCanSortClientOnly, setCanView, setChildrenProperty, setChildTagName, setDateFormatter, setDecimalPad, setDecimalPrecision, setDeepCloneOnEdit, setDetail, setDisplayField, setEditorProperties, setEditorType, setEditorType, setEditorType, setEmptyDisplayValue, setEscapeHTML, setExportFormat, setExportTitle, setFieldValueExtractor, setFilterEditorProperties, setFilterEditorType, setFilterEditorType, setForeignDisplayField, setForeignKey, setFormat, setGroup, setHidden, setIgnoreTextMatchStyle, setImageHeight, setImageHeight, setImageSize, setImageSize, setImageWidth, setImageWidth, setInapplicable, setJoinPrefix, setJoinString, setJoinSuffix, setLength, setLenientXPath, setMultiple, setMultipleValueSeparator, setName, setNillable, setPluralTitle, setPrecision, setPrimaryKey, setPrompt, setPropertiesOnly, setReadOnlyEditorProperties, setReadOnlyEditorType, setReadOnlyEditorType, setReadOnlyEditorType, setRequired, setRequiredMessage, setRootValue, setRootValue, setRootValue, setRootValue, setSequenceName, setShowFileInline, setSortByField, setStringInBrowser, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryValueTitle, setTimeFormatter, setTitle, setType, setType, setType, setTypeAsDataSource, setUploadFieldName, setValidators, setValidOperators, setValueMap, setValueMap, setValueXPath, setXmlAttribute`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceDateField

          public DataSourceDateField()

    - #### DataSourceDateField

          public DataSourceDateField(java.lang.String name)

    - #### DataSourceDateField

          public DataSourceDateField(java.lang.String name,
                                     java.lang.String title)

    - #### DataSourceDateField

          public DataSourceDateField(java.lang.String name,
                                     java.lang.String title,
                                     int length)

    - #### DataSourceDateField

          public DataSourceDateField(java.lang.String name,
                                     java.lang.String title,
                                     int length,
                                     boolean required)

  - ### Method Detail

    - #### setUseTextField

          public void setUseTextField(java.lang.Boolean useTextField)